## kmailtransport 15.08.2

=== debian/changelog ===
kmailtransport (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:33:42 +0100

kmailtransport (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Updating symbols

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:07:21 +0100

kmailtransport (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Removing hard coded epoch in control file (libkf5mailtransport5)

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:30:10 +0100

kmailtransport (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:33:56 +0100
