## kmailtransport 15.12.3

=== debian/changelog ===
kmailtransport (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Fix runtime dep versions -dev. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:33:18 -0700

kmailtransport (15.12.1-1ubuntu3) xenial; urgency=medium

  * Fix versions on runtime deps. 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 10 Mar 2016 23:57:20 +0100

kmailtransport (15.12.1-1ubuntu2) xenial; urgency=medium

  * Add missing epochs to akonadi* build deps.
  * Fix versions on runtime deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 14:48:48 -0800

kmailtransport (15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 
  * Bump build depend version on pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:51:40 +0100

kmailtransport (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:30 +0100

kmailtransport (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Bump the version requirement for akonadi build dep 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:02:56 +0000

kmailtransport (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:25 +0200

kmailtransport (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 19:10:46 +0200
