=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libkf5akonadi-dev,
-               libkf5akonadimime-dev,
-               libkf5configwidgets-dev,
-               libkf5kcmutils-dev,
-               libkf5kdelibs4support-dev,
-               libkf5mime-dev,
-               libkf5wallet-dev,
+               extra-cmake-modules (>= 5.14.0~),
+               libkf5akonadi-dev (>= 4:15.12.1~),
+               libkf5akonadimime-dev (>= 4:15.12.1~),
+               libkf5configwidgets-dev (>= 5.14.0~),
+               libkf5kcmutils-dev (>= 5.14.0~),
+               libkf5kdelibs4support-dev (>= 5.12.0~),
+               libkf5mime-dev (>= 15.12.1~),
+               libkf5wallet-dev (>= 5.14.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmailtransport.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmailtransport.git
@@ -26,10 +26,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev,
+Depends: libkf5akonadimime-dev (>= 4:15.12~),
          libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev,
-         libkf5wallet-dev,
+         libkf5mime-dev (>= 15.12~),
+         libkf5wallet-dev (>= 5.14.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files
@@ -93,19 +93,3 @@
  .
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
-
-Package: libkf5mailtransport-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: kde-config-mailtransport (= ${binary:Version}) | libkf5mailtransport5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: mail transport service library - debug symbols
- Mailtransport is a library that provides the following functionality:
- .
-  * Shared mail transport settings.
-  * GUI elements to configure mail transport settings.
-  * Job classes for mail sending.
- .
- This package contains the debug symbols.
