## kmailtransport 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(MailTransport)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${MailTransport_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,18 +14,18 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")
 
-set(KF5_VERSION "5.14.0")
+set(KF5_VERSION "5.19.0")
 
-set(KMAILTRANSPORT_LIB_VERSION "4.81.0")
+set(KMAILTRANSPORT_LIB_VERSION "5.2.2")
 
-set(KMIME_LIB_VERSION "4.83.0")
-set(AKONADI_LIB_VERSION "4.81.0")
-set(AKONADIMIME_LIB_VERSION "4.81.0")
+set(KMIME_LIB_VERSION "5.2.0")
+set(AKONADI_LIB_VERSION "5.2.0")
+set(AKONADIMIME_LIB_VERSION "5.2.0")
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")
 
 ecm_setup_version(${KMAILTRANSPORT_LIB_VERSION} VARIABLE_PREFIX MAILTRANSPORT
