=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
                       KF5::ConfigWidgets
                       Qt5::DBus
                       Qt5::Network
+                      KF5::Completion
 )
 
 set_target_properties(KF5MailTransport PROPERTIES
