=== debian/changelog ===
kmailtransport (16.04.2-3) unstable; urgency=medium

  * Bump akonadi-dev build dep.
    Thanks to Santiago Vila for reporting (Closes: 834273)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Oct 2016 11:02:01 +0200

kmailtransport (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:59:14 +0200

kmailtransport (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 09:37:01 +0200

kmailtransport (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 17:06:44 +0200

kmailtransport (15.12.0-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Feb 2016 07:23:57 +0100
