=== debian/control ===
--- 
+++ 
@@ -5,31 +5,31 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
-               libkf5akonadi-dev (>= 4:15.12.1~),
-               libkf5akonadimime-dev (>= 4:15.12.1~),
-               libkf5configwidgets-dev (>= 5.14.0~),
-               libkf5kcmutils-dev (>= 5.14.0~),
+               extra-cmake-modules (>= 5.19.0~),
+               libkf5akonadi-dev (>= 4:16.04.3-2~),
+               libkf5akonadimime-dev (>= 4:15.12~),
+               libkf5configwidgets-dev (>= 5.19.0~),
+               libkf5kcmutils-dev (>= 5.19.0~),
                libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 15.12.1~),
-               libkf5wallet-dev (>= 5.14.0~),
+               libkf5mime-dev (>= 15.12~),
+               libkf5wallet-dev (>= 5.19.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmailtransport.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmailtransport.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
 
 Package: libkf5mailtransport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev (>= 4:15.12~),
+Depends: libkf5akonadimime-dev (>= 5.2.0~),
          libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev (>= 15.12~),
-         libkf5wallet-dev (>= 5.14.0~),
+         libkf5mime-dev (>= 5.2.0~),
+         libkf5wallet-dev (>= 5.19.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files
