## kmailtransport 17.04.3

=== debian/changelog ===
kmailtransport (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new library package libkf5mailtransportakonadi5, and add
    development files to -dev package
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5mailtransport5 -> libkf5mailtransport5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Install usr/share/locale/*/LC_MESSAGES/libmailtransport5.mo by
    libkf5mailtransport-data
  * Install translations by kio-smtp
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:08 +0100

kmailtransport (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:39 +0100
