=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5akonadi-dev (>= 4:16.04.3~),
-               libkf5akonadimime-dev (>= 4:16.04.3~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5mime-dev (>= 16.04.3~),
-               libkf5wallet-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5akonadi-dev (>= 4:17.04.3~),
+               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5mime-dev (>= 17.04.3~),
+               libkf5wallet-dev (>= 5.31.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -20,16 +20,32 @@
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+
+Package: kio-smtp
+Architecture: any
+Multi-Arch: no
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Breaks: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Description: mail transport service library
+ Mailtransport is a library that provides the following functionality:
+ .
+  * Shared mail transport settings.
+  * GUI elements to configure mail transport settings.
+  * Job classes for mail sending.
+ .
+ This package contains the smtp kio slave.
 
 Package: libkf5mailtransport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev (>= 4:16.04.3~),
-         libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev (>= 16.04.3~),
-         libkf5wallet-dev (>= 5.14.0~),
+Depends: libkf5akonadimime-dev (>= 4:17.04.3~),
+         libkf5mailtransport5abi1 (= ${binary:Version}),
+         libkf5mailtransportakonadi5 (= ${binary:Version}),
+         libkf5mime-dev (>= 17.04.3~),
+         libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files
@@ -45,8 +61,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
-Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
+Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all}
+Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all}
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
  .
@@ -77,7 +93,9 @@
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
 
-Package: libkf5mailtransport5
+Package: libkf5mailtransport5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5MailTransport
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mailtransport-data (= ${source:Version}),
@@ -93,3 +111,22 @@
  .
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
+
+Package: libkf5mailtransportakonadi5
+Architecture: any
+Multi-Arch: same
+Depends: libkf5mailtransport-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: kde-config-mailtransport
+Description: mail transport service library for akonadi
+ Mailtransport is a library that provides the following functionality:
+ .
+  * Shared mail transport settings.
+  * GUI elements to configure mail transport settings.
+  * Job classes for mail sending.
+ .
+ This library integrates with Akonadi.
+ .
+ This package also contains a KDE control module which can be embedded
+ into your application to provide mail transport configuration.
