=== cmake/CMakeLists.txt ===
install(FILES FindSasl2.cmake DESTINATION ${CMAKECONFIG_INSTALL_DIR})
