=== debian/changelog ===
kmailtransport (17.12.3-0ubuntu4) bionic; urgency=medium

  * Delete obsolete kio-smtp package.
  * Move /etc/xdg/ files from libkf5mailtransport5abi2 to -data package.
  * Move libmailtransport5.mo file from libkf5mailtransport5abi2 to -data package.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 31 Mar 2018 20:27:52 +0100

kmailtransport (17.12.3-0ubuntu3) bionic; urgency=medium

  * Temporarily enforce lower build dep on ksmtp 17.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 23:50:31 +0000

kmailtransport (17.12.3-0ubuntu2) bionic; urgency=medium

  * Build dep on ksmtp >= 17.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 18:14:09 +0000

kmailtransport (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:34 +0000

kmailtransport (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Update install files
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:08 +0000

kmailtransport (17.08.3-0ubuntu3) bionic; urgency=medium

  * Add breaks/replaces for moved translations (LP: #1737344)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Dec 2017 20:55:07 +0000

kmailtransport (17.08.3-0ubuntu2) bionic; urgency=medium

  * Partial sync with debian to match plugin package names and new file
    placement

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Dec 2017 12:36:10 +0000

kmailtransport (17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Add new plugins package and bump ABI of remaining library

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:27 +0000
