## kmailtransport 18.04.3

=== debian/changelog ===
kmailtransport (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:04 +0100

kmailtransport (17.12.3-0ubuntu5) cosmic; urgency=medium

  * debian/patches: Drop kubuntu_lower-ksmtp-dep.patch
    No longer required now ksmtp 17.12.3 is uploaded 

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 12:11:12 +0100
